'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (obj, target) {
  var defaultValue = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

  var splitted = target.split('.');

  return splitted.reduce(function (pre, cur) {
    if (pre === null || pre === defaultValue) {
      return defaultValue;
    }
    var value = pre[cur];
    if (value === undefined) {
      return defaultValue;
    }
    return value;
  }, obj);
};