import test from 'ava'
import o from '../src/index'

test(t => {
  const testObject = {
    user: {
      email: 'hoge@example.com',
    },
    arr: [
      {name: 'name1'},
      {name: 'name2'},
    ],
    bool: {
      false: false,
    }
  }
  // nested
  t.deepEqual({email: 'hoge@example.com'}, o(testObject, 'user'))
  t.deepEqual('hoge@example.com', o(testObject, 'user.email'))
  t.deepEqual(null, o(testObject, 'user.email.hoge@example.com'))
  t.deepEqual(null, o(testObject, 'user.fuga'))
  t.deepEqual(null, o(testObject, 'staff.email'))

  // array
  t.deepEqual([{name: 'name1'}, {name: 'name2'},], o(testObject, 'arr'))
  t.deepEqual('name1', o(testObject, 'arr.0.name'))
  t.deepEqual(null, o(testObject, 'arr.2.name'))

  // false
  t.deepEqual(false, o(testObject, 'bool.false'))

  // default value
  t.deepEqual([], o(testObject, 'user.email.hoge@example.com', []))
  t.deepEqual([], o(testObject, 'user.fuga', []))
  t.deepEqual([], o(testObject, 'staff.email', []))
  t.deepEqual([], o(testObject, 'arr.2.name', []))
})
